Admin

WiKi administration.

MethodPathSummary
GET/v1/app/kb/admin/collectionsCollections across all spaces (admin only)
GET/v1/app/kb/admin/articlesArticles across all spaces (admin only), filterable by status
GET/v1/app/kb/admin/archivedArchived items for the tenant (global admin only)
POST/v1/app/kb/admin/spaces/:space_id/restoreRESTORE archived space
DELETE/v1/app/kb/admin/spaces/:space_id/purgePERMANENTLY delete archived space
POST/v1/app/kb/admin/collections/:collection_id/restoreRESTORE archived collection
DELETE/v1/app/kb/admin/collections/:collection_id/purgePERMANENTLY delete archived collection
POST/v1/app/kb/admin/articles/:article_id/restoreRESTORE archived article
DELETE/v1/app/kb/admin/articles/:article_id/purgePERMANENTLY delete archived article

#Collections across all spaces (admin only)

GET/v1/app/kb/admin/collections
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/collections
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Response 200

FieldTypeDescription
collectionsarray of object
collections[].idinteger
collections[].tenant_idinteger
collections[].space_idinteger
collections[].namestring
collections[].slugstring
collections[].descriptionstring, or null
collections[].sort_orderinteger
collections[].created_byinteger
collections[].created_atstring (date-time)
collections[].updated_atstring (date-time)
collections[].archived_atstring (date-time), or null
collections[].icon_emojistring
collections[].color_hexstring
collections[].banner_image_idinteger, or null
collections[].logo_image_idinteger, or null
collections[].space_namestring
collections[].space_slugstring
collections[].space_colorstring, or null
collections[].space_iconstring, or null
collections[].space_typestring: "shared" | "personal"
collections[].article_countboolean
Example response
JSON
{
  "collections": [
    {
      "id": 42,
      "tenant_id": 1,
      "space_id": 7,
      "name": "Example name",
      "slug": "example",
      "description": "string",
      "sort_order": 1,
      "created_by": 1,
      "created_at": "2026-11-12T09:30:00.000Z",
      "updated_at": "2026-11-12T09:30:00.000Z",
      "archived_at": "2026-11-12T09:30:00.000Z",
      "icon_emoji": "string",
      "color_hex": "#2563eb",
      "banner_image_id": 7,
      "logo_image_id": 7,
      "space_name": "Example space name",
      "space_slug": "example",
      "space_color": "#2563eb",
      "space_icon": "string",
      "space_type": "shared",
      "article_count": false
    }
  ]
}

Errors

StatusMessage
404User not found
403Global admin required

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/collections' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Articles across all spaces (admin only), filterable by status

GET/v1/app/kb/admin/articles
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/articles
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Query parameters

NameTypeDescription
statusstring

Response 200

FieldTypeDescription
articlesarray of object
articles[].idinteger
articles[].titlestring
articles[].slugstring
articles[].statusstring: "draft" | "published" | "archived"
articles[].updated_atstring (date-time)
articles[].created_atstring (date-time)
articles[].archived_atstring (date-time), or null
articles[].collection_namestring
articles[].collection_slugstring
articles[].space_namestring
articles[].space_slugstring
articles[].space_colorstring, or null
articles[].space_typestring: "shared" | "personal"
Example response
JSON
{
  "articles": [
    {
      "id": 42,
      "title": "Example title",
      "slug": "example",
      "status": "draft",
      "updated_at": "2026-11-12T09:30:00.000Z",
      "created_at": "2026-11-12T09:30:00.000Z",
      "archived_at": "2026-11-12T09:30:00.000Z",
      "collection_name": "Example collection name",
      "collection_slug": "example",
      "space_name": "Example space name",
      "space_slug": "example",
      "space_color": "#2563eb",
      "space_type": "shared"
    }
  ]
}

Errors

StatusMessage
404User not found
403Global admin required

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/articles' \
  -H "X-API-Key: $BRAMBLE_KEY"

#Archived items for the tenant (global admin only)

GET/v1/app/kb/admin/archived
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/archived
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Response 200

FieldTypeDescription
spacesarray of any
collectionsarray of any
articlesarray of any
Example response
JSON
{
  "spaces": [],
  "collections": [],
  "articles": []
}

Errors

StatusMessage
404User not found
403Global admin required

Example request

Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/archived' \
  -H "X-API-Key: $BRAMBLE_KEY"

#RESTORE archived space

POST/v1/app/kb/admin/spaces/:space_id/restore
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/spaces/:space_id/restore
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Path parameters

NameTypeDescription
space_idrequiredinteger

Response 200

FieldTypeDescription
messagestring
slugstring
Example response
JSON
{
  "message": "Saved",
  "slug": "example"
}

Errors

StatusMessage
404User not found
403Global admin required
404Archived space not found

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/spaces/7/restore' \
  -H "X-API-Key: $BRAMBLE_KEY"

#PERMANENTLY delete archived space

DELETE/v1/app/kb/admin/spaces/:space_id/purge
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/spaces/:space_id/purge
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Path parameters

NameTypeDescription
space_idrequiredinteger

Response 200

FieldTypeDescription
messagestring
Example response
JSON
{
  "message": "Saved"
}

Errors

StatusMessage
404User not found
403Global admin required
404Archived space not found

Example request

Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/spaces/7/purge' \
  -H "X-API-Key: $BRAMBLE_KEY"

#RESTORE archived collection

POST/v1/app/kb/admin/collections/:collection_id/restore
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/collections/:collection_id/restore
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Path parameters

NameTypeDescription
collection_idrequiredinteger

Response 200

FieldTypeDescription
messagestring
slugstring
Example response
JSON
{
  "message": "Saved",
  "slug": "example"
}

Errors

StatusMessage
404User not found
403Global admin required
404Archived collection not found

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/collections/7/restore' \
  -H "X-API-Key: $BRAMBLE_KEY"

#PERMANENTLY delete archived collection

DELETE/v1/app/kb/admin/collections/:collection_id/purge
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/collections/:collection_id/purge
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Path parameters

NameTypeDescription
collection_idrequiredinteger

Response 200

FieldTypeDescription
messagestring
Example response
JSON
{
  "message": "Saved"
}

Errors

StatusMessage
404User not found
403Global admin required
404Archived collection not found

Example request

Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/collections/7/purge' \
  -H "X-API-Key: $BRAMBLE_KEY"

#RESTORE archived article

POST/v1/app/kb/admin/articles/:article_id/restore
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/articles/:article_id/restore
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Path parameters

NameTypeDescription
article_idrequiredinteger

Response 200

FieldTypeDescription
messagestring
Example response
JSON
{
  "message": "Saved"
}

Errors

StatusMessage
404User not found
403Global admin required
404Archived article not found

Example request

Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/articles/7/restore' \
  -H "X-API-Key: $BRAMBLE_KEY"

#PERMANENTLY delete archived article

DELETE/v1/app/kb/admin/articles/:article_id/purge
Address
https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/articles/:article_id/purge
Requires
Signed-in session, X-API-Key, or a Bramble app access token (Authorization: Bearer).
Licence: WiKi.

Path parameters

NameTypeDescription
article_idrequiredinteger

Response 200

FieldTypeDescription
messagestring
Example response
JSON
{
  "message": "Saved"
}

Errors

StatusMessage
404User not found
403Global admin required
404Archived article not found

Example request

Bash
curl -X DELETE 'https://<your-org>.brambleit.cloud/api/v1/app/kb/admin/articles/7/purge' \
  -H "X-API-Key: $BRAMBLE_KEY"